org.apache.velocity.tools.view

## Class ViewContextTool

- java.lang.Object
- - org.apache.velocity.tools.generic.SafeConfig
  - - org.apache.velocity.tools.generic.ContextTool
    - - org.apache.velocity.tools.view.ViewContextTool

All Implemented Interfaces:
  Serializable

    public class ViewContextTool
    extends ContextTool

Extension of `ContextTool` that includes keys and values from the `HttpServletRequest`, `HttpSession` and `ServletContext`.

Template example(s):

      #foreach( $key in $context.keys )
        $key = $context.get($key)
      #end

Toolbox configuration:

     <tools>
       <toolbox scope="request">
         <tool class="org.apache.velocity.tools.view.ViewContextTool"/>
       </toolbox>
     </tools>

This class is only designed for use as a request-scope VelocityView tool.

Since:
  VelocityTools 2.0
Version:
  $Id: ViewContextTool.java 385122 2006-03-11 18:37:42Z nbubna $
Author:
  Nathan Bubna
See Also:
  Serialized Form

### Field Summary

Fields
`protected javax.servlet.ServletContext` `application`
`protected javax.servlet.http.HttpServletRequest` `request`
`protected javax.servlet.http.HttpSession` `session`

### Fields inherited from class org.apache.velocity.tools.generic.ContextTool

`context, toolbox`

### Fields inherited from class org.apache.velocity.tools.generic.SafeConfig

`LOCK_CONFIG_KEY, log, LOGGER_NAME_KEY, SAFE_MODE_KEY, USE_CLASS_LOGGER_KEY`

### Constructor Summary

Constructors
Constructor and Description
`ViewContextTool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `configure(ValueParser parser)`
`protected void` `fillKeyset(Set keys)`

### Methods inherited from class org.apache.velocity.tools.generic.ContextTool

`contains, get, getKeys, getThis, getToolbox, getValues`

### Methods inherited from class org.apache.velocity.tools.generic.SafeConfig

`configure, getLog, initLogger, isConfigLocked, isSafeMode, setLockConfig, setSafeMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### request

    protected javax.servlet.http.HttpServletRequest request

#### session

    protected javax.servlet.http.HttpSession session

#### application

    protected javax.servlet.ServletContext application

### Constructor Detail

#### ViewContextTool

    public ViewContextTool()

### Method Detail

#### configure

    protected void configure(ValueParser parser)

Overrides:
  `configure` in class `ContextTool`

#### fillKeyset

    protected void fillKeyset(Set keys)

Overrides:
  `fillKeyset` in class `ContextTool`